import * as OrderAPIUtil from '../util/orders_api_util';

export const RECEIVE_ORDERS = 'RECEIVE_ORDERS';
export const UPDATE_ORDER = 'UPDATE_ORDER';

const receiveOrders = (orders) => ({
  type: RECEIVE_ORDERS,
  orders,
})

const updateOrder = (order) => ({
  type: UPDATE_ORDER,
  order,
})

export const fetchOrders = () => (dispatch) => {
  OrderAPIUtil.getOrders()
    .then(res => {
      dispatch(receiveOrders(res.data))
    });
}

export const editOrder = (order) => (dispatch) => {
  OrderAPIUtil.editOrder(order)
    .then(res => {
      dispatch(updateOrder(res.data))
    });
}