import * as SessionAPIUtil from "../util/session_api_util";

export const LOGIN_USER = "LOGIN_USER";
export const LOGOUT_USER = "LOGOUT_USER";

const receiveLogin = (user) => ({
  type: LOGIN_USER,
  user,
});

const receiveLogout = () => ({
  type: LOGOUT_USER,
});

export const login = (payload) => (dispatch) => {
  SessionAPIUtil.createSession(payload).then((res) => {
    const { status, data } = res;
    if (status < 299) {
      dispatch(receiveLogin(data));
    }
  });
};

export const logout = () => (dispatch) => {
  dispatch(receiveLogout());
};
