const Select = ({ className, defaultVal, value, onChange, options }) => (
  <select
    className={className}
    value={value ? value : defaultVal}
    onChange={onChange}
  >
    {defaultVal ? (
      <option disabled>{defaultVal}</option>
    ) : null}
    {options.map(option => (
      <option key={option} value={option}>
        {option}
      </option>
    ))}

  </select>
)

export default Select;