import { connect } from "react-redux";
import Image from "../atoms/Image";
import Logout from "../session/Logout";

const Header = ({ isLoggedIn, logout }) => {
  return (
    <div className="header">
      <div>
        <Image src="https://www.flaticon.com/svg/vstatic/svg/2562/2562296.svg?token=exp=1620448865~hmac=b6bb0b0a072e16f423c481f7a3175fa9" />
        <div>Warehouse Management</div>
      </div>
      {isLoggedIn ? <Logout onClick={logout} /> : null}
    </div>
  );
};

const mapStateToProps = (state) => ({
  isLoggedIn: state.session.isAuthenticated,
});

const mapDispatchToProps = (dispatch) => ({});

export default connect(mapStateToProps, mapDispatchToProps)(Header);
