import React from "react";
import { connect } from "react-redux";
import { editOrder } from "../../actions/order_actions";
import Button from "../atoms/Button";

const OrderButtons = ({ order, editOrder }) => {

  const handleUpdate = (action) => {
    console.log(action);
    if (action === "FULFILL") {
      editOrder({ ...order, status: "FULFILLED" });
    } else if (action === "CANCEL") {
      editOrder({ ...order, status: "CANCELLED" });
    }
  };

  return (
    <div className="oii-buttons">
      <Button className="fulfill-btn" onClick={() => handleUpdate("FULFILL")} text="Fulfill"/>
      <Button className="cancel-btn" onClick={() => handleUpdate("CANCEL")} text="Cancel"/>
    </div>
  );
};
const mapStateToProps = (state) => ({});

const mapDispatchToProps = (dispatch) => ({
  editOrder: (order) => dispatch(editOrder(order)),
});

export default connect(mapStateToProps, mapDispatchToProps)(OrderButtons);
