import React from "react";
import { connect } from "react-redux";
import { GoogleLogin } from "react-google-login";
import keys from "../../config/keys_dev";
import { login } from "../../actions/session_actions";

const clientId = keys.clientId;

const Login = ({ login }) => {
  const responseGoogle = (googleResponse) => {
    const { tokenId, profileObj } = googleResponse;
    login({ token: tokenId, user: profileObj });
  };

  return (
    <div className="login">
      <GoogleLogin
        clientId={clientId}
        buttonText="Login with Google"
        onSuccess={responseGoogle}
        onFailure={responseGoogle}
        cookiePolicy={"single_host_origin"}
        isSignedIn={true}
      />
    </div>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = (dispatch) => ({
  login: (token) => dispatch(login(token)),
});

export default connect(mapStateToProps, mapDispatchToProps)(Login);
