import {
  RECEIVE_ORDERS,
  UPDATE_ORDER,
} from "../../actions/order_actions";

const initialState = {
  byId: {},
  allIds: [],
};

const OrdersReducer = (oldState = initialState, action) => {
  Object.freeze(oldState);
  const newState = { ...oldState };
  const order = action.order || null;
  switch (action.type) {
    case RECEIVE_ORDERS:
      const orderState = {
        byId: {},
        allIds: [],
        byOrderId: {},
      };
      action.orders.forEach( order => {
        orderState.allIds.push(order.id);
        orderState.byId[order.id] = order;
        orderState.byOrderId[order.orderId] = order;
      })
      return orderState;
    case UPDATE_ORDER:
      newState.byId[order.id] = order;
      return newState;
    default:
      return oldState;
  }
};

export default OrdersReducer;
