package com.ascendfinalproject.warehouse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;


@Service
public class Producer {

  private static final Logger logger = LoggerFactory.getLogger(Producer.class);
  private static final String FULFILLED = "fulfilled";
  private static final String CANCELLED = "cancelled";

  @Autowired
//  publish messages to the topic
  private KafkaTemplate<String, String> kafkaTemplate;

  public void orderFulfilled(String message) {
    logger.info(String.format("#### -> this order is fulfilled -> %s", message));
    this.kafkaTemplate.send(FULFILLED, message);
  }

  public void orderCancelled(String message) {
    logger.info(String.format("#### -> this order is cancelled -> %s", message));
    this.kafkaTemplate.send(CANCELLED, message);
  }

}
