package com.ascendfinalproject.warehouse.services;

import com.ascendfinalproject.warehouse.models.Session;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Scanner;

@Service
public class SessionService {

    public ResponseEntity<Session> authenticate(Session session) {
        int status = 404;
        try {
            URL url = new URL("https://oauth2.googleapis.com/tokeninfo?id_token=" + session.getToken());
            HttpURLConnection con = (HttpURLConnection) url.openConnection();
            con.setRequestMethod("GET");
            status = con.getResponseCode();
        }
        catch(Exception e) {
            System.out.println("Bad Request: " + status);
        }

        if(status == 200) {
            return ResponseEntity
                    .status(HttpStatus.ACCEPTED)
                    .body(session);
        }
        return ResponseEntity
                .status(HttpStatus.UNAUTHORIZED)
                .body(session);


    }


}
